SDL_GetDisplayBounds(3)

NAME
SDL_GetDisplayBounds - Get the desktop area represented by a display.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetDisplayBounds(SDL_DisplayID displayID, SDL_Rect *rect);

DESCRIPTION
The primary display is always located at (0,0).

FUNCTION PARAMETERS

displayID
    the instance ID of the display to query

rect
    the SDL_Rect
     structure filled in with the display bounds

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetDisplayUsableBounds(3), SDL_GetDisplays(3)